#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xa400173d, "module_layout" },
	{ 0x77d6e75c, "agp_put_bridge" },
	{ 0xf3f1bce5, "pci_bus_read_config_byte" },
	{ 0xfd4452d5, "agp_generic_alloc_page" },
	{ 0xe27db052, "intel_gmch_probe" },
	{ 0xb7ba7d69, "dev_set_drvdata" },
	{ 0xb326b4ee, "agp_generic_free_gatt_table" },
	{ 0xf7d9209, "__x86_indirect_thunk_eax" },
	{ 0x4dabeb2b, "agp_generic_type_to_mask_type" },
	{ 0xeac1bca7, "agp_generic_create_gatt_table" },
	{ 0xf94830a7, "agp_generic_remove_memory" },
	{ 0xde4892f9, "pci_bus_write_config_word" },
	{ 0xd1694b41, "agp_add_bridge" },
	{ 0xa3591f45, "agp_alloc_bridge" },
	{ 0xe1dd664c, "agp_generic_free_by_type" },
	{ 0x3910fe9c, "agp_generic_alloc_by_type" },
	{ 0x29a41f81, "agp_generic_alloc_pages" },
	{ 0x3e3e4c5, "dev_err" },
	{ 0xb4390f9a, "mcount" },
	{ 0x8e57d9c, "pci_bus_write_config_dword" },
	{ 0x14565249, "agp_generic_mask_memory" },
	{ 0x4da9eaab, "agp_remove_bridge" },
	{ 0x7538b132, "agp_off" },
	{ 0x37ef64cb, "pci_find_capability" },
	{ 0x64fe099d, "agp_generic_destroy_page" },
	{ 0x82ecf209, "_dev_info" },
	{ 0x9c67a453, "pci_bus_read_config_word" },
	{ 0x6464d993, "pci_bus_read_config_dword" },
	{ 0xca90c75c, "agp_generic_insert_memory" },
	{ 0x7d2ad417, "agp_generic_enable" },
	{ 0x455a3bee, "pci_unregister_driver" },
	{ 0xb2f74fb6, "intel_gmch_remove" },
	{ 0xf8c8b45e, "pci_bus_write_config_byte" },
	{ 0x1181c5a6, "pci_assign_resource" },
	{ 0x39774f54, "__pci_register_driver" },
	{ 0x2b8b97ca, "dev_warn" },
	{ 0xa4d4f0e6, "global_cache_flush" },
	{ 0xa9d1ca2, "pci_enable_device" },
	{ 0x5e4339fe, "dev_get_drvdata" },
	{ 0x66f0ee74, "dev_emerg" },
	{ 0x9e975697, "agp_generic_destroy_pages" },
	{ 0x6eb40878, "agp_bridge" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=intel-gtt";

MODULE_ALIAS("pci:v00008086d00001237sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00007180sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00007190sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d000071A0sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00007120sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00007122sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00007124sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00001130sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00002500sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00002501sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00003575sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00001A21sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00001A30sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00002560sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00002530sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d0000358Csv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00003340sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00003580sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00002531sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00002570sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00002578sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00002550sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d0000255Dsv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00002588sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00002580sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00002590sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00002770sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d000027A0sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d000027ACsv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d0000A010sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d0000A000sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00002970sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00002980sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00002990sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d000029A0sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00002A00sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00002A10sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d000029C0sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d000029B0sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d000029D0sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00002A40sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00002E00sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00002E10sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00002E20sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00002E30sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00002E40sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00002E90sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00000040sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00000069sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00000044sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00000062sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d0000006Asv*sd*bc06sc00i00*");

MODULE_INFO(srcversion, "853A1F9DC7C27ADB5A2EB55");
