#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xa400173d, "module_layout" },
	{ 0x7e0c31ff, "tpm_store_cancel" },
	{ 0xb8d2dd32, "tpm_show_caps_1_2" },
	{ 0x1e723673, "tpm_show_temp_deactivated" },
	{ 0xc1044c90, "tpm_show_owned" },
	{ 0x7850076e, "tpm_show_active" },
	{ 0x1980b7c5, "tpm_show_enabled" },
	{ 0x93649437, "tpm_show_pcrs" },
	{ 0xd6788f05, "tpm_show_pubek" },
	{ 0x53cbcac7, "tpm_release" },
	{ 0xf752919b, "tpm_open" },
	{ 0x384fc249, "tpm_write" },
	{ 0x5059430c, "tpm_read" },
	{ 0x17549eb2, "no_llseek" },
	{ 0x810b3618, "param_ops_string" },
	{ 0xb78c61e8, "param_ops_bool" },
	{ 0x9e40b6b, "pnp_register_driver" },
	{ 0xe98b2fdc, "platform_device_register_resndata" },
	{ 0x4677e9a8, "platform_driver_register" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xec442a03, "pnpacpi_protocol" },
	{ 0x50bf1030, "pnp_get_resource" },
	{ 0xfcb45e6, "tpm_gen_interrupt" },
	{ 0x475beff5, "dev_printk" },
	{ 0x366c7904, "tpm_get_timeouts" },
	{ 0xd6b8e852, "request_threaded_irq" },
	{ 0xe174aa7, "__init_waitqueue_head" },
	{ 0x82ecf209, "_dev_info" },
	{ 0x3bd1b1f6, "msecs_to_jiffies" },
	{ 0x42c8de35, "ioremap_nocache" },
	{ 0x775a8801, "tpm_register_hardware" },
	{ 0x62d5cfaf, "pnp_unregister_driver" },
	{ 0x8978e6e3, "platform_driver_unregister" },
	{ 0xd3a5e984, "platform_device_unregister" },
	{ 0xf20dabd8, "free_irq" },
	{ 0x303e8cd5, "tpm_remove_hardware" },
	{ 0xedc03953, "iounmap" },
	{ 0x6443d74d, "_raw_spin_lock" },
	{ 0xf09c7f68, "__wake_up" },
	{ 0x3e3e4c5, "dev_err" },
	{ 0x491eda78, "tpm_calc_ordinal_duration" },
	{ 0xb00ccc33, "finish_wait" },
	{ 0xd62c833f, "schedule_timeout" },
	{ 0xe75663a, "prepare_to_wait" },
	{ 0xc8b57c27, "autoremove_wake_function" },
	{ 0x308c837d, "current_task" },
	{ 0xf9a482f9, "msleep" },
	{ 0x7d11c268, "jiffies" },
	{ 0x727c4f3, "iowrite8" },
	{ 0xf10de535, "ioread8" },
	{ 0x37a0cba, "kfree" },
	{ 0xb9c33bd6, "tpm_dev_vendor_release" },
	{ 0xa9f01800, "tpm_continue_selftest" },
	{ 0x5e4339fe, "dev_get_drvdata" },
	{ 0x67d6a4af, "tpm_pm_suspend" },
	{ 0x4bfbf4e5, "tpm_pm_resume" },
	{ 0x436c2179, "iowrite32" },
	{ 0xe484e35f, "ioread32" },
	{ 0xb4390f9a, "mcount" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=tpm";

MODULE_ALIAS("pnp:dPNP0C31*");
MODULE_ALIAS("acpi*:PNP0C31:*");
MODULE_ALIAS("pnp:dATM1200*");
MODULE_ALIAS("acpi*:ATM1200:*");
MODULE_ALIAS("pnp:dIFX0102*");
MODULE_ALIAS("acpi*:IFX0102:*");
MODULE_ALIAS("pnp:dBCM0101*");
MODULE_ALIAS("acpi*:BCM0101:*");
MODULE_ALIAS("pnp:dBCM0102*");
MODULE_ALIAS("acpi*:BCM0102:*");
MODULE_ALIAS("pnp:dNSC1200*");
MODULE_ALIAS("acpi*:NSC1200:*");
MODULE_ALIAS("pnp:dICO0102*");
MODULE_ALIAS("acpi*:ICO0102:*");
MODULE_ALIAS("pnp:d*");
MODULE_ALIAS("acpi*::*");

MODULE_INFO(srcversion, "8A477037C6D80C7A3C04F6E");
