#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xa400173d, "module_layout" },
	{ 0xb78c61e8, "param_ops_bool" },
	{ 0xe6f34b4d, "usb_register_driver" },
	{ 0x2e60bace, "memcpy" },
	{ 0x6f2ca3b4, "input_event" },
	{ 0xe3460c96, "__x86_indirect_thunk_ecx" },
	{ 0x378a639d, "input_free_device" },
	{ 0xa7be2a1d, "input_register_device" },
	{ 0x701d0ebd, "snprintf" },
	{ 0xd0d8621b, "strlen" },
	{ 0xdd0a2ba2, "strlcat" },
	{ 0x73e20c1c, "strlcpy" },
	{ 0x12da5bb2, "__kmalloc" },
	{ 0x31ce7c47, "usb_alloc_coherent" },
	{ 0x8b9ef41f, "input_allocate_device" },
	{ 0x1aaa2565, "usb_alloc_urb" },
	{ 0xe2fae716, "kmemdup" },
	{ 0xc499ae1e, "kstrdup" },
	{ 0xc020ba1c, "usb_bulk_msg" },
	{ 0x6225947f, "kmem_cache_alloc_trace" },
	{ 0xdfd8be9a, "malloc_sizes" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1333e3ef, "usb_control_msg" },
	{ 0xc2c26b24, "input_set_abs_params" },
	{ 0x50eedeb8, "printk" },
	{ 0x7d11c268, "jiffies" },
	{ 0x78e340f9, "__x86_indirect_thunk_ebx" },
	{ 0x3ea196d9, "usb_autopm_put_interface" },
	{ 0x327861e9, "usb_autopm_get_interface" },
	{ 0xf16307b8, "usb_free_coherent" },
	{ 0x3da4c0ed, "input_unregister_device" },
	{ 0xb7ba7d69, "dev_set_drvdata" },
	{ 0x37a0cba, "kfree" },
	{ 0x76fe0add, "usb_free_urb" },
	{ 0xe38b3435, "usb_kill_urb" },
	{ 0x7415b014, "usb_submit_urb" },
	{ 0xbaa5e5c8, "mutex_unlock" },
	{ 0x80497aa2, "mutex_lock" },
	{ 0x97dee519, "__x86_indirect_thunk_edx" },
	{ 0x5e4339fe, "dev_get_drvdata" },
	{ 0x2aff83, "usb_deregister" },
	{ 0xb4390f9a, "mcount" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbcore";

MODULE_ALIAS("usb:v0EEFp0001d*dc*dsc*dp*ic03isc*ip02*");
MODULE_ALIAS("usb:v0EEFp0002d*dc*dsc*dp*ic03isc*ip02*");
MODULE_ALIAS("usb:v3823p0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v3823p0002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0123p0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0EEFp0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0EEFp0002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1234p0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1234p0002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v134Cp0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v134Cp0002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v134Cp0003d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v134Cp0004d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0596p0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pF9E9d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v16E3pF9E9d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1234p5678d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0637p0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0AFAp03E8d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v595Ap0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v6615p0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1391p1000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DFCp0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v08F2p007Fd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v08F2p00CEd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v08F2p00F4d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0F92p0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1AC7p0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v14C8p0003d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0664p0309d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0664p0306d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v10F0p2002d*dc*dsc*dp*ic0Aisc00ip00*");
MODULE_ALIAS("usb:v1870p0001d*dc*dsc*dp*ic0Aisc00ip00*");

MODULE_INFO(srcversion, "80F8C9C61A148820DBBAA6A");
