#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xa400173d, "module_layout" },
	{ 0xe90dcae0, "__request_module" },
	{ 0xf9a482f9, "msleep" },
	{ 0x3ec8886f, "param_ops_int" },
	{ 0xb7ba7d69, "dev_set_drvdata" },
	{ 0x7c0bfe0, "dvb_usb_device_exit" },
	{ 0xdfd8be9a, "malloc_sizes" },
	{ 0xaf18cd96, "dvb_usb_device_init" },
	{ 0xbaa5e5c8, "mutex_unlock" },
	{ 0xc29111d8, "i2c_add_adapter" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2bc95bd4, "memset" },
	{ 0x5638692c, "usb_string" },
	{ 0xf5cf326a, "param_ops_short" },
	{ 0x2aff83, "usb_deregister" },
	{ 0x7224cce2, "mutex_lock_interruptible" },
	{ 0x34908c14, "print_hex_dump_bytes" },
	{ 0x8026fa61, "__x86_indirect_thunk_esi" },
	{ 0x50eedeb8, "printk" },
	{ 0xb6ed1e53, "strncpy" },
	{ 0xb4390f9a, "mcount" },
	{ 0xf915503a, "rc_keydown" },
	{ 0xf8a6fe12, "__x86_indirect_thunk_edi" },
	{ 0x868784cb, "__symbol_get" },
	{ 0xf8cbe341, "i2c_del_adapter" },
	{ 0xc020ba1c, "usb_bulk_msg" },
	{ 0xe3460c96, "__x86_indirect_thunk_ecx" },
	{ 0x6225947f, "kmem_cache_alloc_trace" },
	{ 0x37a0cba, "kfree" },
	{ 0x2e60bace, "memcpy" },
	{ 0xf59f197, "param_array_ops" },
	{ 0xe6f34b4d, "usb_register_driver" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x5e4339fe, "dev_get_drvdata" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=dvb-usb,i2c-core,usbcore,rc-core";

MODULE_ALIAS("usb:v15A4p9015d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v15A4p9016d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0413p6029d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2304p022Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1B80pE399d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v13D3p3226d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v13D3p3237d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0CCDp0069d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1B80pC160d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07CApA815d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1AE7p0381d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1462p8801d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07CAp8150d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v10B9p8000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07CApA309d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1462p8807d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1B80pE396d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1B80pE39Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1B80pE395d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v15A4p901Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07CAp850Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07CApA805d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1B80pE397d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1B80pC810d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0458p4012d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1B80pE400d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1B80pC161d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1B80pE39Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1B80pE402d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0413p6A04d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1B80pE383d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1B80pE39Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07CAp815Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0CCDp0097d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0CCDp0099d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07CAp850Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1F4Dp9016d*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "677A958CE662D25F816E23A");
