#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xa400173d, "module_layout" },
	{ 0xf9a482f9, "msleep" },
	{ 0x3cfba28d, "driver_register" },
	{ 0x3ec8886f, "param_ops_int" },
	{ 0x38ccff25, "dvb_dmx_init" },
	{ 0xd5ae600a, "dvb_unregister_adapter" },
	{ 0xd0d8621b, "strlen" },
	{ 0x1a0efaf5, "page_address" },
	{ 0xb7ba7d69, "dev_set_drvdata" },
	{ 0xc8b57c27, "autoremove_wake_function" },
	{ 0x7e431b14, "fw_csr_string" },
	{ 0xdfd8be9a, "malloc_sizes" },
	{ 0xf803b4a6, "dvb_register_frontend" },
	{ 0x9902464d, "dvb_register_device" },
	{ 0x8949858b, "schedule_work" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0xf445ad7f, "fw_bus_type" },
	{ 0xe2fae716, "kmemdup" },
	{ 0xe7f8b249, "dvb_unregister_frontend" },
	{ 0xbaa5e5c8, "mutex_unlock" },
	{ 0xd697e69a, "trace_hardirqs_on" },
	{ 0x96dc4f08, "dvb_net_release" },
	{ 0xe6585128, "fw_iso_context_start" },
	{ 0x4383bee1, "fw_iso_context_queue_flush" },
	{ 0x6f2ca3b4, "input_event" },
	{ 0xe174aa7, "__init_waitqueue_head" },
	{ 0x2bc95bd4, "memset" },
	{ 0xf5cf326a, "param_ops_short" },
	{ 0x3e3e4c5, "dev_err" },
	{ 0x88941a06, "_raw_spin_unlock_irqrestore" },
	{ 0x308c837d, "current_task" },
	{ 0x2531571a, "dvb_dmxdev_release" },
	{ 0x7224cce2, "mutex_lock_interruptible" },
	{ 0x23a15f8b, "__mutex_init" },
	{ 0x50eedeb8, "printk" },
	{ 0xa2fed613, "dvb_net_init" },
	{ 0x6845f6c3, "driver_unregister" },
	{ 0xb4390f9a, "mcount" },
	{ 0x83fbaa67, "dvb_generic_release" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x80497aa2, "mutex_lock" },
	{ 0xcd4a8aff, "noop_llseek" },
	{ 0x8f55631e, "fw_iso_buffer_destroy" },
	{ 0xaf87a8ca, "dvb_unregister_device" },
	{ 0xdf889f5b, "dvb_dmx_release" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0x82ecf209, "_dev_info" },
	{ 0x73e7cb8, "fw_iso_context_queue" },
	{ 0x8ff4079b, "pv_irq_ops" },
	{ 0xdcb3e92a, "dvb_generic_ioctl" },
	{ 0x304c9f42, "dvb_dmx_swfilter_packets" },
	{ 0x3bd1b1f6, "msecs_to_jiffies" },
	{ 0xa7be2a1d, "input_register_device" },
	{ 0xd62c833f, "schedule_timeout" },
	{ 0xe800989c, "dvb_generic_open" },
	{ 0xf333a2fb, "_raw_spin_lock_irq" },
	{ 0xe3460c96, "__x86_indirect_thunk_ecx" },
	{ 0x378a639d, "input_free_device" },
	{ 0x4e7dc384, "fw_core_add_address_handler" },
	{ 0xb57010e2, "dvb_register_adapter" },
	{ 0x97dee519, "__x86_indirect_thunk_edx" },
	{ 0x6225947f, "kmem_cache_alloc_trace" },
	{ 0x587c70d8, "_raw_spin_lock_irqsave" },
	{ 0xf09c7f68, "__wake_up" },
	{ 0x1ec25cce, "fw_iso_context_stop" },
	{ 0xd369f21d, "fw_core_remove_address_handler" },
	{ 0x37a0cba, "kfree" },
	{ 0xec36e03c, "fw_iso_context_create" },
	{ 0x2e60bace, "memcpy" },
	{ 0x3da4c0ed, "input_unregister_device" },
	{ 0xb7b61546, "crc32_be" },
	{ 0xe75663a, "prepare_to_wait" },
	{ 0xf59f197, "param_array_ops" },
	{ 0xb00ccc33, "finish_wait" },
	{ 0x326a2646, "fw_iso_buffer_init" },
	{ 0x5e4339fe, "dev_get_drvdata" },
	{ 0xa90ebaa2, "fw_run_transaction" },
	{ 0xebcd8207, "fw_iso_context_destroy" },
	{ 0xe914e41e, "strcpy" },
	{ 0x75761f33, "dvb_dmxdev_init" },
	{ 0x8b9ef41f, "input_allocate_device" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=dvb-core,firewire-core";

MODULE_ALIAS("ieee1394:ven00001287mo00000024sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00001287mo00000025sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00001287mo00000026sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00001287mo00000034sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00001287mo00000035sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00001287mo00000036sp0000A02Dver00010001*");

MODULE_INFO(srcversion, "760D22C65AC5E33D01278CB");
