#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xa400173d, "module_layout" },
	{ 0x30fdc234, "device_remove_file" },
	{ 0x12da5bb2, "__kmalloc" },
	{ 0x3ec8886f, "param_ops_int" },
	{ 0xc996d097, "del_timer" },
	{ 0xb7ba7d69, "dev_set_drvdata" },
	{ 0xdb5e7c72, "v4l2_i2c_new_subdev" },
	{ 0xc8b57c27, "autoremove_wake_function" },
	{ 0x421d8f4d, "video_device_release" },
	{ 0xdfd8be9a, "malloc_sizes" },
	{ 0x103b3fdd, "v4l2_device_unregister" },
	{ 0xf2a353ac, "v4l2_i2c_tuner_addrs" },
	{ 0x8949858b, "schedule_work" },
	{ 0xe38b3435, "usb_kill_urb" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xc7927582, "__video_register_device" },
	{ 0xfb0e29f, "init_timer_key" },
	{ 0xbaa5e5c8, "mutex_unlock" },
	{ 0x999e8297, "vfree" },
	{ 0x3c2c5af5, "sprintf" },
	{ 0x7d11c268, "jiffies" },
	{ 0xc29111d8, "i2c_add_adapter" },
	{ 0xeb26716c, "v4l2_device_register" },
	{ 0xe174aa7, "__init_waitqueue_head" },
	{ 0xe9bcc044, "v4l2_device_disconnect" },
	{ 0x2bc95bd4, "memset" },
	{ 0x30e382c4, "video_device_alloc" },
	{ 0x3e3e4c5, "dev_err" },
	{ 0x88941a06, "_raw_spin_unlock_irqrestore" },
	{ 0x308c837d, "current_task" },
	{ 0x2aff83, "usb_deregister" },
	{ 0x7224cce2, "mutex_lock_interruptible" },
	{ 0x23a15f8b, "__mutex_init" },
	{ 0x8026fa61, "__x86_indirect_thunk_esi" },
	{ 0x50eedeb8, "printk" },
	{ 0x5307aec6, "video_unregister_device" },
	{ 0x6220df53, "usb_set_interface" },
	{ 0x2da418b5, "copy_to_user" },
	{ 0xb4390f9a, "mcount" },
	{ 0x1333e3ef, "usb_control_msg" },
	{ 0x73e20c1c, "strlcpy" },
	{ 0x80497aa2, "mutex_lock" },
	{ 0x8834396c, "mod_timer" },
	{ 0xf16307b8, "usb_free_coherent" },
	{ 0xca571349, "vm_insert_page" },
	{ 0x3cfa5da2, "device_create_file" },
	{ 0xf8cbe341, "i2c_del_adapter" },
	{ 0x7415b014, "usb_submit_urb" },
	{ 0x9688ae62, "usb_get_dev" },
	{ 0xb3297cf7, "video_devdata" },
	{ 0x3bd1b1f6, "msecs_to_jiffies" },
	{ 0xd740b98a, "usb_put_dev" },
	{ 0xd62c833f, "schedule_timeout" },
	{ 0x4292364c, "schedule" },
	{ 0xe3460c96, "__x86_indirect_thunk_ecx" },
	{ 0xa0b04675, "vmalloc_32" },
	{ 0xce4dff77, "v4l2_i2c_subdev_addr" },
	{ 0x97dee519, "__x86_indirect_thunk_edx" },
	{ 0x6225947f, "kmem_cache_alloc_trace" },
	{ 0x587c70d8, "_raw_spin_lock_irqsave" },
	{ 0xf09c7f68, "__wake_up" },
	{ 0x1d2e87c6, "do_gettimeofday" },
	{ 0x37a0cba, "kfree" },
	{ 0x2e60bace, "memcpy" },
	{ 0xe75663a, "prepare_to_wait" },
	{ 0xe6f34b4d, "usb_register_driver" },
	{ 0xb00ccc33, "finish_wait" },
	{ 0x701d0ebd, "snprintf" },
	{ 0x31ce7c47, "usb_alloc_coherent" },
	{ 0xaf951eb4, "vmalloc_to_page" },
	{ 0x5e4339fe, "dev_get_drvdata" },
	{ 0x76fe0add, "usb_free_urb" },
	{ 0xcc5ba11a, "video_ioctl2" },
	{ 0x1aaa2565, "usb_alloc_urb" },
	{ 0xe914e41e, "strcpy" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=v4l2-common,videodev,usbcore,i2c-core";

MODULE_ALIAS("usb:v0A6Fp0400d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v050Dp0106d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v050Dp0207d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v050Dp0208d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0571p0002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p0003d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p0400d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p2000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p2D00d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p2D01d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p2101d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p3000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p3001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p4100d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p4110d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p4450d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p4550d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p4D00d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p4D01d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p4D02d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p4D03d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p4D04d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p4D10d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p4D11d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p4D12d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p4D14d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p4D2Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p4D2Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p4D2Cd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p4D20d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p4D21d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p4D22d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p4D23d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p4D24d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p4D25d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p4D26d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p4D27d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p4D28d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p4D29d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p4D30d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p4D31d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p4D32d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p4D34d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p4D35d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p4D36d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p4D37d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p4D38d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0768p0006d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07D0p0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07D0p0002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07D0p0003d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07D0p0004d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07D0p0005d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07F8p9104d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2304p010Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2304p0109d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2304p0110d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2304p0111d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2304p0112d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2304p0113d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2304p0210d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2304p0212d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2304p0214d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2304p0300d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2304p0301d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2304p0419d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2400p4200d*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "2EF03D4A1500973262BC357");
