#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xa400173d, "module_layout" },
	{ 0x45174762, "eth_change_mtu" },
	{ 0x3fc340f3, "eth_validate_addr" },
	{ 0xbdb5cf8f, "eth_mac_addr" },
	{ 0x943fb0a, "skb_copy_expand" },
	{ 0x8ff4079b, "pv_irq_ops" },
	{ 0xd697e69a, "trace_hardirqs_on" },
	{ 0xf333a2fb, "_raw_spin_lock_irq" },
	{ 0xd1529a13, "__dev_kfree_skb_irq" },
	{ 0xe6f34b4d, "usb_register_driver" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x93fca811, "__get_free_pages" },
	{ 0x35075a85, "register_netdev" },
	{ 0xfb0e29f, "init_timer_key" },
	{ 0x31ce7c47, "usb_alloc_coherent" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x40726840, "usb_reset_configuration" },
	{ 0xefa7e1e3, "alloc_etherdev_mqs" },
	{ 0x8c81aa5, "release_firmware" },
	{ 0x93085a0c, "request_firmware" },
	{ 0x309eaa7, "netif_carrier_on" },
	{ 0xe79da479, "netif_carrier_off" },
	{ 0x3ea196d9, "usb_autopm_put_interface" },
	{ 0x327861e9, "usb_autopm_get_interface" },
	{ 0x37a0cba, "kfree" },
	{ 0x1aaa2565, "usb_alloc_urb" },
	{ 0x6225947f, "kmem_cache_alloc_trace" },
	{ 0xdfd8be9a, "malloc_sizes" },
	{ 0xb00ccc33, "finish_wait" },
	{ 0xd62c833f, "schedule_timeout" },
	{ 0xe75663a, "prepare_to_wait" },
	{ 0xc8b57c27, "autoremove_wake_function" },
	{ 0x308c837d, "current_task" },
	{ 0xe174aa7, "__init_waitqueue_head" },
	{ 0xb2a0759, "__netif_schedule" },
	{ 0x16305289, "warn_slowpath_null" },
	{ 0x1902adf, "netpoll_trap" },
	{ 0xc84487d8, "usb_unlink_urb" },
	{ 0x7d11c268, "jiffies" },
	{ 0x2b8b97ca, "dev_warn" },
	{ 0xf3e5447f, "free_netdev" },
	{ 0xf16307b8, "usb_free_coherent" },
	{ 0x76fe0add, "usb_free_urb" },
	{ 0x47ab382e, "unregister_netdev" },
	{ 0xb7ba7d69, "dev_set_drvdata" },
	{ 0x82ecf209, "_dev_info" },
	{ 0x6baae653, "cancel_delayed_work_sync" },
	{ 0xe38b3435, "usb_kill_urb" },
	{ 0x719aabda, "netif_rx" },
	{ 0xc270e8a3, "eth_type_trans" },
	{ 0x5b7e6770, "skb_put" },
	{ 0x2e60bace, "memcpy" },
	{ 0xd8d47c2c, "dev_alloc_skb" },
	{ 0x6443d74d, "_raw_spin_lock" },
	{ 0xf09c7f68, "__wake_up" },
	{ 0x88941a06, "_raw_spin_unlock_irqrestore" },
	{ 0x587c70d8, "_raw_spin_lock_irqsave" },
	{ 0x5e4339fe, "dev_get_drvdata" },
	{ 0x77edf722, "schedule_delayed_work" },
	{ 0x50eedeb8, "printk" },
	{ 0x7415b014, "usb_submit_urb" },
	{ 0x2aff83, "usb_deregister" },
	{ 0xb4390f9a, "mcount" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbcore";

MODULE_ALIAS("usb:v03E8p0008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04BBp0901d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0506p03E8d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0506p11F8d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0557p2002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0557p4000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0565p0002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0565p0003d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0565p0005d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05E9p0008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05E9p0009d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v066Bp2202d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06E1p0008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06E1p0009d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0707p0100d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07AAp0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07B8p4000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07C9pB010d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0846p1001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0846p1002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v085Ap0008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v085Ap0009d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v087Dp5704d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0951p0008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v095Ap3003d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v10BDp1427d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1342p0204d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v13D2p0400d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1485p0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1485p0002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1645p0005d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1645p0008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1645p8005d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1668p0323d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p4000d*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "8E563F5EBB8453A1BC4DFF8");
