#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xa400173d, "module_layout" },
	{ 0xb54c297, "rndis_tx_fixup" },
	{ 0xbab0305a, "rndis_rx_fixup" },
	{ 0x96dcfd59, "rndis_status" },
	{ 0xf0d50952, "usbnet_resume" },
	{ 0xba30dba1, "usbnet_suspend" },
	{ 0xa20944c9, "usbnet_disconnect" },
	{ 0x543531f6, "usbnet_probe" },
	{ 0x4ca108e0, "usbnet_tx_timeout" },
	{ 0x3fc340f3, "eth_validate_addr" },
	{ 0xbdb5cf8f, "eth_mac_addr" },
	{ 0xe5f21dc2, "usbnet_start_xmit" },
	{ 0xf484b1a2, "usbnet_stop" },
	{ 0x852b21a4, "usbnet_open" },
	{ 0x810b3618, "param_ops_string" },
	{ 0x3ec8886f, "param_ops_int" },
	{ 0xb5f80f99, "cfg80211_disconnected" },
	{ 0x16305289, "warn_slowpath_null" },
	{ 0xe2cfa133, "cfg80211_roamed" },
	{ 0x3af6530c, "cfg80211_ibss_joined" },
	{ 0x580f1356, "cfg80211_connect_result" },
	{ 0x309eaa7, "netif_carrier_on" },
	{ 0xab09acaf, "cfg80211_cqm_rssi_notify" },
	{ 0x6225947f, "kmem_cache_alloc_trace" },
	{ 0xdfd8be9a, "malloc_sizes" },
	{ 0x3bd1b1f6, "msecs_to_jiffies" },
	{ 0xe6f34b4d, "usb_register_driver" },
	{ 0x2aff83, "usb_deregister" },
	{ 0xc5849356, "cfg80211_inform_bss" },
	{ 0xa3f4f8a3, "__ieee80211_get_channel" },
	{ 0x96e1bbf9, "netdev_err" },
	{ 0x817456bf, "usbnet_resume_rx" },
	{ 0x2f83c233, "usbnet_purge_paused_rxq" },
	{ 0x9c64fbd, "ieee80211_frequency_to_channel" },
	{ 0xb859f38b, "krealloc" },
	{ 0xe79da479, "netif_carrier_off" },
	{ 0x717b5823, "wiphy_register" },
	{ 0x75a624a, "generic_rndis_bind" },
	{ 0xfb0e29f, "init_timer_key" },
	{ 0x88a193, "__alloc_workqueue_key" },
	{ 0x23a15f8b, "__mutex_init" },
	{ 0xdfd148ee, "wiphy_new" },
	{ 0x8a581c3b, "wiphy_free" },
	{ 0xf80198de, "wiphy_unregister" },
	{ 0x255f9553, "rndis_unbind" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x47c149ab, "queue_delayed_work" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x6223cafb, "_raw_spin_unlock_bh" },
	{ 0x87a45ee9, "_raw_spin_lock_bh" },
	{ 0x875951a0, "cfg80211_scan_done" },
	{ 0x42160169, "flush_workqueue" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x6baae653, "cancel_delayed_work_sync" },
	{ 0x79aa04a2, "get_random_bytes" },
	{ 0xf9a482f9, "msleep" },
	{ 0xfe627e30, "netdev_warn" },
	{ 0x3c2c5af5, "sprintf" },
	{ 0xd0d8621b, "strlen" },
	{ 0x12da5bb2, "__kmalloc" },
	{ 0x37a0cba, "kfree" },
	{ 0xbaa5e5c8, "mutex_unlock" },
	{ 0x2dc0ddcc, "rndis_command" },
	{ 0x2e60bace, "memcpy" },
	{ 0x80497aa2, "mutex_lock" },
	{ 0xf52e9507, "usbnet_pause_rx" },
	{ 0x49bd6204, "cfg80211_michael_mic_failure" },
	{ 0xbbcf9be7, "netdev_info" },
	{ 0x33543801, "queue_work" },
	{ 0x475beff5, "dev_printk" },
	{ 0xe914e41e, "strcpy" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x11089ac7, "_ctype" },
	{ 0xb4390f9a, "mcount" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=rndis_host,usbnet,cfg80211,usbcore";

MODULE_ALIAS("usb:v0411p00BCd*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v0BAFp011Bd*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v050Dp011Bd*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v1799p011Bd*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v13B1p0014d*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v13B1p0026d*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v0B05p1717d*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v0A5CpD11Bd*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v1690p0715d*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v13B1p000Ed*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v0BAFp0111d*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v0411p004Bd*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icEFisc01ip01*");

MODULE_INFO(srcversion, "92DFDB4CF5284896614EC0D");
