#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xa400173d, "module_layout" },
	{ 0x1319cb4b, "rt2x00mac_tx_frames_pending" },
	{ 0xe9d21298, "rt2x00mac_get_ringparam" },
	{ 0xece47be0, "rt2x00mac_get_antenna" },
	{ 0x5dc72565, "rt2x00mac_set_antenna" },
	{ 0xfc2a3cad, "rt2x00mac_flush" },
	{ 0xe81de3ed, "rt2x00mac_rfkill_poll" },
	{ 0xde37239, "rt2x00mac_get_stats" },
	{ 0xa2bca182, "rt2x00mac_sw_scan_complete" },
	{ 0xa5c74d8c, "rt2x00mac_sw_scan_start" },
	{ 0x8fa86251, "rt2x00mac_set_key" },
	{ 0x54947b45, "rt2x00mac_set_tim" },
	{ 0x29dba761, "rt2x00mac_configure_filter" },
	{ 0x8e1eb72d, "rt2x00mac_bss_info_changed" },
	{ 0xa9883820, "rt2x00mac_config" },
	{ 0x9cabf51c, "rt2x00mac_remove_interface" },
	{ 0x3493fbab, "rt2x00mac_add_interface" },
	{ 0x5a370862, "rt2x00mac_stop" },
	{ 0xa4d3d69b, "rt2x00mac_start" },
	{ 0x36a99d10, "rt2x00mac_tx" },
	{ 0x4631737, "rt2x00usb_flush_queue" },
	{ 0x42068be1, "rt2x00usb_kick_queue" },
	{ 0x89685a4f, "rt2x00usb_watchdog" },
	{ 0x826303f1, "rt2x00usb_clear_entry" },
	{ 0xff2f9e4e, "rt2x00usb_uninitialize" },
	{ 0x10ebb35e, "rt2x00usb_initialize" },
	{ 0x278b773e, "rt2x00usb_resume" },
	{ 0xf77fcd14, "rt2x00usb_suspend" },
	{ 0x8940b363, "rt2x00usb_disconnect" },
	{ 0xb78c61e8, "param_ops_bool" },
	{ 0x6e9251bc, "skb_pad" },
	{ 0xbb65ed2c, "consume_skb" },
	{ 0x60447c28, "skb_push" },
	{ 0xe6f34b4d, "usb_register_driver" },
	{ 0x12da5bb2, "__kmalloc" },
	{ 0x79aa04a2, "get_random_bytes" },
	{ 0xd29b009f, "crc_itu_t_table" },
	{ 0xf5b4a948, "crc_itu_t" },
	{ 0xf9a482f9, "msleep" },
	{ 0x40d150d2, "rt2x00usb_disable_radio" },
	{ 0xf7d9209, "__x86_indirect_thunk_eax" },
	{ 0x50eedeb8, "printk" },
	{ 0x57b93d59, "skb_trim" },
	{ 0xd5c52272, "skb_pull" },
	{ 0x2e60bace, "memcpy" },
	{ 0x61cfbd02, "rt2x00usb_vendor_request" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xbaa5e5c8, "mutex_unlock" },
	{ 0xf6cee1b5, "rt2x00usb_vendor_req_buff_lock" },
	{ 0x8fff664e, "rt2x00usb_regbusy_read" },
	{ 0x80497aa2, "mutex_lock" },
	{ 0x400b8aae, "rt2x00mac_conf_tx" },
	{ 0xe3460c96, "__x86_indirect_thunk_ecx" },
	{ 0x6b842c39, "rt2x00usb_vendor_request_buff" },
	{ 0xda3c8f36, "rt2x00usb_probe" },
	{ 0x2aff83, "usb_deregister" },
	{ 0xb4390f9a, "mcount" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=rt2x00lib,rt2x00usb,usbcore,crc-itu-t";

MODULE_ALIAS("usb:v07B8pB21Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07B8pB21Cd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07B8pB21Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07B8pB21Ed*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07B8pB21Fd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v14B2p3C10d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v148Fp9021d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0EB0p9021d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v18C5p0002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1690p0722d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B05p1723d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B05p1724d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v050Dp705Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v050Dp905Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v050Dp905Cd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1631pC019d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v08DDp0120d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p00D8d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p00D9d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p00F4d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p0116d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p0119d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p0137d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v178Dp02BEd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1371p9022d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1371p9032d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v14B2p3C22d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07AAp002Ed*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07D1p3C03d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07D1p3C04d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07D1p3C06d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07D1p3C07d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v7392p7318d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v7392p7618d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1740p3701d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v15A9p0004d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1044p8008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1044p800Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1472p0009d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06F8pE002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06F8pE010d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06F8pE020d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v13B1p0020d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v13B1p0023d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v13B1p0028d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DB0p4600d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DB0p6877d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DB0p6874d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DB0pA861d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DB0pA874d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1B75p7318d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04BBp093Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v148Fp2573d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v148Fp2671d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0812p3101d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v18E8p6196d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v18E8p6229d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v18E8p6238d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04E8p4471d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1740p7100d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DF6p0024d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DF6p0027d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DF6p002Fd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DF6p90ACd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DF6p9712d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0769p31F3d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v6933p5001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0471p200Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2019pAB01d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2019pAB50d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v7167p3840d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0CDEp001Cd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0586p3415d*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "D2C1935F8313A17BD09CB15");
