#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xa400173d, "module_layout" },
	{ 0xa2eb738f, "usb_serial_disconnect" },
	{ 0x114268a, "usb_serial_probe" },
	{ 0xb78c61e8, "param_ops_bool" },
	{ 0x3ec8886f, "param_ops_int" },
	{ 0x6443d74d, "_raw_spin_lock" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0xc068440e, "__kfifo_alloc" },
	{ 0xb7ba7d69, "dev_set_drvdata" },
	{ 0x23a15f8b, "__mutex_init" },
	{ 0xc020ba1c, "usb_bulk_msg" },
	{ 0x80497aa2, "mutex_lock" },
	{ 0xf9a482f9, "msleep" },
	{ 0x7d11c268, "jiffies" },
	{ 0xb89e62ec, "remove_wait_queue" },
	{ 0xd62c833f, "schedule_timeout" },
	{ 0xda5661a3, "add_wait_queue" },
	{ 0xffd5a395, "default_wake_function" },
	{ 0xe6f34b4d, "usb_register_driver" },
	{ 0x29a9773b, "usb_serial_register" },
	{ 0x8c81aa5, "release_firmware" },
	{ 0x2e60bace, "memcpy" },
	{ 0x93085a0c, "request_firmware" },
	{ 0x2bc95bd4, "memset" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x3cfa5da2, "device_create_file" },
	{ 0x3c2c5af5, "sprintf" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x30fdc234, "device_remove_file" },
	{ 0xe38b3435, "usb_kill_urb" },
	{ 0xbaa5e5c8, "mutex_unlock" },
	{ 0x6694f267, "usb_clear_halt" },
	{ 0x7224cce2, "mutex_lock_interruptible" },
	{ 0xe174aa7, "__init_waitqueue_head" },
	{ 0xbad7d2da, "interruptible_sleep_on" },
	{ 0x308c837d, "current_task" },
	{ 0x2da418b5, "copy_to_user" },
	{ 0x32bf6f4c, "tty_encode_baud_rate" },
	{ 0x73c3b103, "tty_get_baud_rate" },
	{ 0x37a0cba, "kfree" },
	{ 0x6225947f, "kmem_cache_alloc_trace" },
	{ 0xdfd8be9a, "malloc_sizes" },
	{ 0x1333e3ef, "usb_control_msg" },
	{ 0x475beff5, "dev_printk" },
	{ 0x44fe93e8, "tty_wakeup" },
	{ 0xf09c7f68, "__wake_up" },
	{ 0xe7c0dd28, "tty_kref_put" },
	{ 0x8e556ef9, "tty_port_tty_get" },
	{ 0x4461ca49, "tty_flip_buffer_push" },
	{ 0x3e3e4c5, "dev_err" },
	{ 0x2739cb27, "tty_insert_flip_string_fixed_flag" },
	{ 0x7415b014, "usb_submit_urb" },
	{ 0x88941a06, "_raw_spin_unlock_irqrestore" },
	{ 0x587c70d8, "_raw_spin_lock_irqsave" },
	{ 0x5e4339fe, "dev_get_drvdata" },
	{ 0x50eedeb8, "printk" },
	{ 0xb4390f9a, "mcount" },
	{ 0x1b7d3424, "usb_serial_deregister" },
	{ 0x2aff83, "usb_deregister" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbserial,usbcore";

MODULE_ALIAS("usb:v1608p0215d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0240d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0241d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0301d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0302d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0303d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0304d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0305d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0306d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0307d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0308d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p030Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0309d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p030Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p030Cd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p030Ed*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0205d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p021Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0207d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p020Cd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p020Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0217d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0201d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0206d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p021Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p021Cd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p021Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p021Ed*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0242d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0244d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0243d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0212d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0247d*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "CA9DB8DE9C8E829F0083634");
