#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xa400173d, "module_layout" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x1fedf0f4, "__request_region" },
	{ 0x12da5bb2, "__kmalloc" },
	{ 0x3ec8886f, "param_ops_int" },
	{ 0xb7ba7d69, "dev_set_drvdata" },
	{ 0x4b284851, "snd_pcm_period_elapsed" },
	{ 0xa8cad4e4, "snd_card_create" },
	{ 0xf1faa20a, "snd_dma_alloc_pages" },
	{ 0xdfd8be9a, "malloc_sizes" },
	{ 0xbb39cc6b, "snd_opl3_hwdep_new" },
	{ 0x5674e279, "pci_disable_device" },
	{ 0x4f816e9b, "snd_pcm_format_big_endian" },
	{ 0x19ec2438, "snd_mpu401_uart_new" },
	{ 0x11f7ed4c, "hex_to_bin" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb78c61e8, "param_ops_bool" },
	{ 0xde4892f9, "pci_bus_write_config_word" },
	{ 0x1d5630b3, "snd_pcm_hw_constraint_integer" },
	{ 0xd697e69a, "trace_hardirqs_on" },
	{ 0x7687ad69, "snd_card_disconnect" },
	{ 0x25db63bb, "snd_pcm_suspend_all" },
	{ 0x72aa82c6, "param_ops_charp" },
	{ 0x10e27d04, "pci_set_master" },
	{ 0xc0fec227, "snd_mpu401_uart_interrupt" },
	{ 0x20d4c364, "snd_pcm_sgbuf_ops_page" },
	{ 0xff7559e4, "ioport_resource" },
	{ 0x1c03e937, "snd_device_new" },
	{ 0x19e73b1b, "pci_restore_state" },
	{ 0x88941a06, "_raw_spin_unlock_irqrestore" },
	{ 0x50eedeb8, "printk" },
	{ 0x57bcf70f, "snd_pcm_set_ops" },
	{ 0xfaef0ed, "__tasklet_schedule" },
	{ 0xb4390f9a, "mcount" },
	{ 0x9d511323, "snd_pcm_lib_free_pages" },
	{ 0x9545af6d, "tasklet_init" },
	{ 0xd6b8e852, "request_threaded_irq" },
	{ 0x2ae3deaa, "release_and_free_resource" },
	{ 0x43870114, "snd_pcm_lib_ioctl" },
	{ 0xd6a7eb82, "__gameport_register_port" },
	{ 0xaad44afb, "snd_pcm_lib_malloc_pages" },
	{ 0xe20c9214, "snd_iprintf" },
	{ 0x53654e9e, "__snd_printk" },
	{ 0xc88a09da, "snd_ac97_suspend" },
	{ 0x8ff4079b, "pv_irq_ops" },
	{ 0xf333a2fb, "_raw_spin_lock_irq" },
	{ 0xf48bccd5, "gameport_unregister_port" },
	{ 0x67254df3, "snd_dma_free_pages" },
	{ 0x7c61340c, "__release_region" },
	{ 0x455a3bee, "pci_unregister_driver" },
	{ 0x97dee519, "__x86_indirect_thunk_edx" },
	{ 0x6225947f, "kmem_cache_alloc_trace" },
	{ 0x6443d74d, "_raw_spin_lock" },
	{ 0x3c12b695, "snd_ac97_bus" },
	{ 0x587c70d8, "_raw_spin_lock_irqsave" },
	{ 0x16a4c04b, "snd_opl3_create" },
	{ 0xf09c7f68, "__wake_up" },
	{ 0xab0f3a4b, "pci_set_power_state" },
	{ 0x4802fb2b, "snd_ac97_mixer" },
	{ 0x8d66a3a, "warn_slowpath_fmt" },
	{ 0x37a0cba, "kfree" },
	{ 0xa61aa028, "snd_pcm_format_unsigned" },
	{ 0xf59f197, "param_array_ops" },
	{ 0x39774f54, "__pci_register_driver" },
	{ 0x93085a0c, "request_firmware" },
	{ 0xfb10c676, "snd_card_proc_new" },
	{ 0x9e281038, "snd_pcm_lib_preallocate_pages_for_all" },
	{ 0x92f67e2, "snd_card_free" },
	{ 0xdfe9e922, "snd_card_register" },
	{ 0x87a4bded, "snd_pcm_new" },
	{ 0x701d0ebd, "snprintf" },
	{ 0xf0cf5115, "snd_ac97_resume" },
	{ 0xdc31fe90, "pci_choose_state" },
	{ 0xa9d1ca2, "pci_enable_device" },
	{ 0x5e4339fe, "dev_get_drvdata" },
	{ 0x8c81aa5, "release_firmware" },
	{ 0xf20dabd8, "free_irq" },
	{ 0xec042464, "pci_save_state" },
	{ 0xe914e41e, "strcpy" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=snd-pcm,snd,snd-page-alloc,snd-opl3-lib,snd-mpu401-uart,gameport,snd-ac97-codec";

MODULE_ALIAS("pci:v0000127Ad00004310sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000127Ad00004320sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000127Ad00004330sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000127Ad00004340sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "F8427D6F86B9DF8062F6E19");
