#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xa400173d, "module_layout" },
	{ 0xf0d50952, "usbnet_resume" },
	{ 0xba30dba1, "usbnet_suspend" },
	{ 0xa20944c9, "usbnet_disconnect" },
	{ 0x543531f6, "usbnet_probe" },
	{ 0xbdb5cf8f, "eth_mac_addr" },
	{ 0x7f045b9f, "usbnet_nway_reset" },
	{ 0x897ed6b0, "usbnet_set_msglevel" },
	{ 0x2e050bca, "usbnet_get_msglevel" },
	{ 0x236294ef, "usbnet_set_settings" },
	{ 0x39f90faa, "usbnet_get_settings" },
	{ 0x4ca108e0, "usbnet_tx_timeout" },
	{ 0x8cbb2e56, "usbnet_change_mtu" },
	{ 0x3fc340f3, "eth_validate_addr" },
	{ 0xe5f21dc2, "usbnet_start_xmit" },
	{ 0xf484b1a2, "usbnet_stop" },
	{ 0x852b21a4, "usbnet_open" },
	{ 0x652dd771, "mii_nway_restart" },
	{ 0xf6b2ce2d, "usbnet_get_endpoints" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xbaa5e5c8, "mutex_unlock" },
	{ 0x80497aa2, "mutex_lock" },
	{ 0xe6f34b4d, "usb_register_driver" },
	{ 0x2aff83, "usb_deregister" },
	{ 0x24d55cac, "usbnet_defer_kevent" },
	{ 0x309eaa7, "netif_carrier_on" },
	{ 0xe79da479, "netif_carrier_off" },
	{ 0x51c318de, "usbnet_unlink_rx_urbs" },
	{ 0xd5c52272, "skb_pull" },
	{ 0x1d5460c0, "usbnet_skb_return" },
	{ 0x61f1b8cf, "skb_clone" },
	{ 0x8235805b, "memmove" },
	{ 0x5b7e6770, "skb_put" },
	{ 0x60447c28, "skb_push" },
	{ 0x6ac0f0ed, "__dev_kfree_skb_any" },
	{ 0x943fb0a, "skb_copy_expand" },
	{ 0xfaf98462, "bitrev32" },
	{ 0xa34f1ef5, "crc32_le" },
	{ 0x50eedeb8, "printk" },
	{ 0x76fe0add, "usb_free_urb" },
	{ 0x7415b014, "usb_submit_urb" },
	{ 0x6225947f, "kmem_cache_alloc_trace" },
	{ 0xdfd8be9a, "malloc_sizes" },
	{ 0x1aaa2565, "usb_alloc_urb" },
	{ 0xcafc3a06, "generic_mii_ioctl" },
	{ 0xb6ed1e53, "strncpy" },
	{ 0x40a67497, "usbnet_get_drvinfo" },
	{ 0xa03aac07, "mii_link_ok" },
	{ 0x2e60bace, "memcpy" },
	{ 0x12da5bb2, "__kmalloc" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6b60bf77, "mii_ethtool_gset" },
	{ 0x660df6d3, "mii_check_media" },
	{ 0x96e1bbf9, "netdev_err" },
	{ 0x475beff5, "dev_printk" },
	{ 0xe2fae716, "kmemdup" },
	{ 0x37a0cba, "kfree" },
	{ 0x1333e3ef, "usb_control_msg" },
	{ 0xb4390f9a, "mcount" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbnet,mii,usbcore";

MODULE_ALIAS("usb:v077Bp2226d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0846p1040d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p1A00d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B95p1720d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07B8p420Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v08DDp90FFd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0557p2009d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p003Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p006Ed*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v6189p182Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DF6p0056d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07AAp0017d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1189p0893d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1631p6200d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04F1p3008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B95p772Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B95p7720d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B95p1780d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0789p0160d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v13B1p0018d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1557p7720d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07D1p3C05d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p3C05d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p1A02d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1737p0039d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04BBp0930d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v050Dp5055d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05ACp1402d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B95p772Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v14EApAB11d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DB0pA877d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B95p7E2Bd*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "A2AD01FD63A6AC1A0975E1C");
