#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xa400173d, "module_layout" },
	{ 0x9b3245c7, "ieee80211_rts_duration" },
	{ 0x63d14d2f, "eeprom_93cx6_read" },
	{ 0xc13fec68, "ieee80211_rx_irqsafe" },
	{ 0xf9a482f9, "msleep" },
	{ 0xb7ba7d69, "dev_set_drvdata" },
	{ 0x5112adb1, "led_classdev_register" },
	{ 0x9c64fbd, "ieee80211_frequency_to_channel" },
	{ 0x79aa04a2, "get_random_bytes" },
	{ 0x475beff5, "dev_printk" },
	{ 0xdfd8be9a, "malloc_sizes" },
	{ 0xfb97f8ba, "ieee80211_unregister_hw" },
	{ 0x6ac0f0ed, "__dev_kfree_skb_any" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xfb0e29f, "init_timer_key" },
	{ 0x6baae653, "cancel_delayed_work_sync" },
	{ 0xbaa5e5c8, "mutex_unlock" },
	{ 0x7de2db0d, "wiphy_rfkill_start_polling" },
	{ 0xacfa05a7, "skb_unlink" },
	{ 0x57b93d59, "skb_trim" },
	{ 0xcedaf66d, "usb_unanchor_urb" },
	{ 0xe174aa7, "__init_waitqueue_head" },
	{ 0xd5f2172f, "del_timer_sync" },
	{ 0xd8d47c2c, "dev_alloc_skb" },
	{ 0x3e3e4c5, "dev_err" },
	{ 0x88941a06, "_raw_spin_unlock_irqrestore" },
	{ 0x2aff83, "usb_deregister" },
	{ 0x23a15f8b, "__mutex_init" },
	{ 0x50eedeb8, "printk" },
	{ 0x2df115d4, "eeprom_93cx6_multiread" },
	{ 0xb6ed1e53, "strncpy" },
	{ 0xb4390f9a, "mcount" },
	{ 0x1333e3ef, "usb_control_msg" },
	{ 0x16305289, "warn_slowpath_null" },
	{ 0x60447c28, "skb_push" },
	{ 0x80497aa2, "mutex_lock" },
	{ 0xd1529a13, "__dev_kfree_skb_irq" },
	{ 0xd5c52272, "skb_pull" },
	{ 0xfcf89966, "wiphy_rfkill_stop_polling" },
	{ 0x99f15e88, "ieee80211_queue_delayed_work" },
	{ 0x1d940965, "skb_queue_tail" },
	{ 0x82ecf209, "_dev_info" },
	{ 0x7415b014, "usb_submit_urb" },
	{ 0xd5d2af1a, "__ieee80211_get_rx_led_name" },
	{ 0x7cacf919, "__alloc_skb" },
	{ 0x9688ae62, "usb_get_dev" },
	{ 0xa0db1d8d, "usb_kill_anchored_urbs" },
	{ 0xe4539a7b, "usb_reset_device" },
	{ 0xc2c5121d, "wiphy_rfkill_set_hw_state" },
	{ 0xd740b98a, "usb_put_dev" },
	{ 0x9b108a4e, "ieee80211_tx_status_irqsafe" },
	{ 0x81920c24, "kfree_skb" },
	{ 0xe49775f9, "flush_delayed_work" },
	{ 0xe3460c96, "__x86_indirect_thunk_ecx" },
	{ 0xdc5f758, "__ieee80211_get_tx_led_name" },
	{ 0x97dee519, "__x86_indirect_thunk_edx" },
	{ 0x6225947f, "kmem_cache_alloc_trace" },
	{ 0x587c70d8, "_raw_spin_lock_irqsave" },
	{ 0xea61a109, "ieee80211_generic_frame_duration" },
	{ 0xe8daa1da, "__ieee80211_get_radio_led_name" },
	{ 0xdfd53e54, "ieee80211_register_hw" },
	{ 0x74fcb1a7, "led_classdev_unregister" },
	{ 0x37a0cba, "kfree" },
	{ 0x2e60bace, "memcpy" },
	{ 0xec24240, "ieee80211_alloc_hw" },
	{ 0xe6f34b4d, "usb_register_driver" },
	{ 0x59a43f19, "ieee80211_free_hw" },
	{ 0x250c9371, "skb_dequeue" },
	{ 0x2b8b97ca, "dev_warn" },
	{ 0x701d0ebd, "snprintf" },
	{ 0x5b7e6770, "skb_put" },
	{ 0x5e4339fe, "dev_get_drvdata" },
	{ 0x76fe0add, "usb_free_urb" },
	{ 0x11942f68, "usb_anchor_urb" },
	{ 0x1aaa2565, "usb_alloc_urb" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=mac80211,eeprom_93cx6,cfg80211,usbcore";

MODULE_ALIAS("usb:v0B05p171Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v050Dp705Ed*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0BDAp8187d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0BDAp8189d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0BDAp8197d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0BDAp8198d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0769p11F2d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0789p010Cd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0846p6100d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0846p6A00d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0846p4260d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v03F0pCA02d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DF6p000Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DF6p0028d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DF6p0029d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v114Bp0150d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1371p9401d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v13D1pABE6d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v18E8p6232d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1B75p8187d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1737p0073d*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "1D64D702B273F90365EBC85");
