#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(staging, "Y");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xa400173d, "module_layout" },
	{ 0x30fdc234, "device_remove_file" },
	{ 0x12da5bb2, "__kmalloc" },
	{ 0x405c1144, "get_seconds" },
	{ 0xc996d097, "del_timer" },
	{ 0xb7ba7d69, "dev_set_drvdata" },
	{ 0x4b284851, "snd_pcm_period_elapsed" },
	{ 0xc8b57c27, "autoremove_wake_function" },
	{ 0xa8cad4e4, "snd_card_create" },
	{ 0xdfd8be9a, "malloc_sizes" },
	{ 0xf7d9209, "__x86_indirect_thunk_eax" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x8949858b, "schedule_work" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0xe38b3435, "usb_kill_urb" },
	{ 0xe2fae716, "kmemdup" },
	{ 0xfb0e29f, "init_timer_key" },
	{ 0x3c9f8427, "snd_rawmidi_set_ops" },
	{ 0x3c2c5af5, "sprintf" },
	{ 0xc84487d8, "usb_unlink_urb" },
	{ 0x7687ad69, "snd_card_disconnect" },
	{ 0x7d11c268, "jiffies" },
	{ 0xbf7a705b, "snd_rawmidi_new" },
	{ 0x25db63bb, "snd_pcm_suspend_all" },
	{ 0xe174aa7, "__init_waitqueue_head" },
	{ 0xd5f2172f, "del_timer_sync" },
	{ 0x2bc95bd4, "memset" },
	{ 0x1c03e937, "snd_device_new" },
	{ 0x3e3e4c5, "dev_err" },
	{ 0x88941a06, "_raw_spin_unlock_irqrestore" },
	{ 0x308c837d, "current_task" },
	{ 0x2aff83, "usb_deregister" },
	{ 0x8026fa61, "__x86_indirect_thunk_esi" },
	{ 0x50eedeb8, "printk" },
	{ 0x11a13e31, "_kstrtol" },
	{ 0x57bcf70f, "snd_pcm_set_ops" },
	{ 0x6220df53, "usb_set_interface" },
	{ 0xb4390f9a, "mcount" },
	{ 0x1333e3ef, "usb_control_msg" },
	{ 0x16305289, "warn_slowpath_null" },
	{ 0x60dd023d, "snd_rawmidi_transmit_peek" },
	{ 0x9d511323, "snd_pcm_lib_free_pages" },
	{ 0xbe2c0274, "add_timer" },
	{ 0x11537695, "sysfs_remove_link" },
	{ 0x43870114, "snd_pcm_lib_ioctl" },
	{ 0xaad44afb, "snd_pcm_lib_malloc_pages" },
	{ 0xf11543ff, "find_first_zero_bit" },
	{ 0x53654e9e, "__snd_printk" },
	{ 0x3cfa5da2, "device_create_file" },
	{ 0xdf5860f7, "snd_pcm_hw_constraint_ratdens" },
	{ 0x52b51d41, "sysfs_create_link" },
	{ 0x82ecf209, "_dev_info" },
	{ 0x7415b014, "usb_submit_urb" },
	{ 0x9688ae62, "usb_get_dev" },
	{ 0xa91631c4, "snd_rawmidi_transmit_ack" },
	{ 0xd740b98a, "usb_put_dev" },
	{ 0xd62c833f, "schedule_timeout" },
	{ 0x4292364c, "schedule" },
	{ 0x3c744e19, "snd_ctl_new1" },
	{ 0x996bdb64, "_kstrtoul" },
	{ 0xd956a495, "usb_interrupt_msg" },
	{ 0x6225947f, "kmem_cache_alloc_trace" },
	{ 0xc5a8643e, "usb_get_intf" },
	{ 0x587c70d8, "_raw_spin_lock_irqsave" },
	{ 0xf09c7f68, "__wake_up" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0x37a0cba, "kfree" },
	{ 0x2e60bace, "memcpy" },
	{ 0xe75663a, "prepare_to_wait" },
	{ 0x92dfdd86, "snd_pcm_stop" },
	{ 0xe6f34b4d, "usb_register_driver" },
	{ 0xb00ccc33, "finish_wait" },
	{ 0x9e281038, "snd_pcm_lib_preallocate_pages_for_all" },
	{ 0x92f67e2, "snd_card_free" },
	{ 0xdfe9e922, "snd_card_register" },
	{ 0x87a4bded, "snd_pcm_new" },
	{ 0x2a84be01, "snd_ctl_add" },
	{ 0x5e4339fe, "dev_get_drvdata" },
	{ 0x76fe0add, "usb_free_urb" },
	{ 0x566297cf, "snd_rawmidi_receive" },
	{ 0x1aaa2565, "usb_alloc_urb" },
	{ 0x29c47cdc, "usb_put_intf" },
	{ 0xe914e41e, "strcpy" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=snd-pcm,snd,usbcore,snd-rawmidi";

MODULE_ALIAS("usb:v0E41p4250d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0E41p4642d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0E41p4252d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0E41p4750d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0E41p5051d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0E41p4153d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0E41p4150d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0E41p4151d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0E41p414Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0E41p414Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0E41p5044d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0E41p4650d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0E41p5050d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0E41p4147d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0E41p4141d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0E41p4142d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0E41p534Dd*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "F0433A1F78B0BE72C501561");
