#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xa400173d, "module_layout" },
	{ 0xda409fdc, "usb_serial_suspend" },
	{ 0xa2eb738f, "usb_serial_disconnect" },
	{ 0x114268a, "usb_serial_probe" },
	{ 0xb78c61e8, "param_ops_bool" },
	{ 0x4461ca49, "tty_flip_buffer_push" },
	{ 0x2739cb27, "tty_insert_flip_string_fixed_flag" },
	{ 0xe174aa7, "__init_waitqueue_head" },
	{ 0x6225947f, "kmem_cache_alloc_trace" },
	{ 0xdfd8be9a, "malloc_sizes" },
	{ 0xe6f34b4d, "usb_register_driver" },
	{ 0x29a9773b, "usb_serial_register" },
	{ 0x6220df53, "usb_set_interface" },
	{ 0xb7ba7d69, "dev_set_drvdata" },
	{ 0xa0db1d8d, "usb_kill_anchored_urbs" },
	{ 0x6694f267, "usb_clear_halt" },
	{ 0x5abddca1, "usb_autopm_get_interface_no_resume" },
	{ 0xe38b3435, "usb_kill_urb" },
	{ 0x8ff4079b, "pv_irq_ops" },
	{ 0xd697e69a, "trace_hardirqs_on" },
	{ 0x89b7963e, "usb_get_from_anchor" },
	{ 0xf333a2fb, "_raw_spin_lock_irq" },
	{ 0xc8c7d893, "usb_serial_port_softint" },
	{ 0x6443d74d, "_raw_spin_lock" },
	{ 0xcc1b53d9, "usb_autopm_put_interface_async" },
	{ 0xcedaf66d, "usb_unanchor_urb" },
	{ 0x11942f68, "usb_anchor_urb" },
	{ 0x2e60bace, "memcpy" },
	{ 0x6033d74e, "usb_autopm_get_interface_async" },
	{ 0x50eedeb8, "printk" },
	{ 0x12da5bb2, "__kmalloc" },
	{ 0x1aaa2565, "usb_alloc_urb" },
	{ 0x76fe0add, "usb_free_urb" },
	{ 0x37a0cba, "kfree" },
	{ 0x88941a06, "_raw_spin_unlock_irqrestore" },
	{ 0x587c70d8, "_raw_spin_lock_irqsave" },
	{ 0x30e74134, "tty_termios_copy_hw" },
	{ 0xbaa5e5c8, "mutex_unlock" },
	{ 0x80497aa2, "mutex_lock" },
	{ 0x3ea196d9, "usb_autopm_put_interface" },
	{ 0x1333e3ef, "usb_control_msg" },
	{ 0x327861e9, "usb_autopm_get_interface" },
	{ 0xd923da4c, "usb_serial_resume" },
	{ 0xe7c0dd28, "tty_kref_put" },
	{ 0xadd928f1, "tty_hangup" },
	{ 0x8e556ef9, "tty_port_tty_get" },
	{ 0x3e3e4c5, "dev_err" },
	{ 0x7415b014, "usb_submit_urb" },
	{ 0x7d11c268, "jiffies" },
	{ 0x5e4339fe, "dev_get_drvdata" },
	{ 0x475beff5, "dev_printk" },
	{ 0xb4390f9a, "mcount" },
	{ 0x1b7d3424, "usb_serial_deregister" },
	{ 0x2aff83, "usb_deregister" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbserial,usbcore";

MODULE_ALIAS("usb:v0F3Dp0112d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v03F0p1B1Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v03F0p211Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v03F0p1E1Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p0017d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p0018d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p0218d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p0020d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p0220d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p0022d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p0024d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p0224d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p0019d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p0021d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p0112d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p0120d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p0301d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p0023d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v1199p0025d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v1199p0026d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p0027d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p0028d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p0029d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6802d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6803d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6804d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6805d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6808d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6809d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6812d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6813d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6815d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6816d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6820d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6821d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6822d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6832d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6833d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6834d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6835d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6838d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6839d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p683Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p683Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p683Cd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p683Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p683Ed*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6850d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6851d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6852d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6853d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6855d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6856d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6859d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p685Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6880d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v1199p6890d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v1199p6891d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v1199p6892d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v1199p6893d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p68A2d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p68A3d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0F3Dp68AAd*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v0F3Dp68A3d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v413Cp8133d*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "A253BA718A94C739AD50E09");
